# Class ColorConfigDto

Namespace
  adas_core.Domain.Models.DTO.Display

Assembly
  adas-core.Domain.dll

Represents a data transfer object (DTO) that encapsulates color configuration settings for transferring color-related data between application layers or systems.

    public class ColorConfigDto

Inheritance
  object
  ColorConfigDto

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Arrow

    public ColorConfigDto.ArrowColors? Arrow { get; set; }

#### Property Value

ColorConfigDto.ArrowColors

### BoxNumber

    public ColorConfigDto.StatusBoxNumberColors? BoxNumber { get; set; }

#### Property Value

ColorConfigDto.StatusBoxNumberColors

### Graph

    public ColorConfigDto.GraphColors? Graph { get; set; }

#### Property Value

ColorConfigDto.GraphColors

### Indicator

    public ColorConfigDto.IndicatorColors? Indicator { get; set; }

#### Property Value

ColorConfigDto.IndicatorColors

### Level

    public ColorConfigDto.LevelColors? Level { get; set; }

#### Property Value

ColorConfigDto.LevelColors

### Procedure

    public ColorConfigDto.ProcedureColors? Procedure { get; set; }

#### Property Value

ColorConfigDto.ProcedureColors

### Test

    public ColorConfigDto.TestColors? Test { get; set; }

#### Property Value

ColorConfigDto.TestColors

### Text

    public ColorConfigDto.TextColors? Text { get; set; }

#### Property Value

ColorConfigDto.TextColors

### Therapy

    public ColorConfigDto.TherapyColors? Therapy { get; set; }

#### Property Value

ColorConfigDto.TherapyColors